Bug 1029077 - Inaccurate instructions for logging quickstart
Inaccurate instructions for logging quickstart
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: sgilda
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:46 EST by Nikoleta Ziakova
Modified: 2013-12-15 11:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-11-11 10:46:49 EST
README.html says:

  Find the line containing:

  logger.handlers=FILE,CONSOLE

However default logging.properties file contains line:

  logger.handlers=CONSOLE,FILE

It can be confusing when trying e.g. ctrl+f and the expected line is not present in the file.
Comment 1 sgilda 2013-11-11 12:33:37 EST
The property value order is not guaranteed. I change the README to default to:

        logger.handlers=CONSOLE,FILE

I also added a note below that saying:

        Note: Property value order is not guaranteed, so you may see `logger.handlers=FILE,CONSOLE` instead of the line above.
Comment 2 Nikoleta Ziakova 2013-11-15 02:30:42 EST
Verified for EAP 6.2.0 CR1.

Note You need to log in before you can comment on or make changes to this bug.